/**
 * {}
 * @author yutent<yutent.io@gmail.com>
 * @date 2023/08/08 18:19:17
 */
import { html, css, Component } from 'wkit'

const tips_header = `/************************************************************/
 *                   hosts文件没有写权限                       *
/************************************************************/
`

class Permission extends Component {
  static props = {
    foo: ''
  }

  static styles = css`
    :host {
      display: none;
    }
    .noselect {
      -webkit-touch-callout: none;
      -webkit-user-select: none;
      user-select: none;
    }
    .permission-error {
      position: fixed;
      left: 0;
      top: 0;
      z-index: 1024;
      display: flex;
      flex-direction: column;
      align-items: center;
      width: 100%;
      height: 100%;
      padding: 24px 52px;
      line-height: 1.5;
      background: rgba(255, 233, 233, 0.95);
      -webkit-backdrop-filter: blur(5px);
    }

    pre {
      font-family: 'Courier New', Courier, monospace;
      font-size: 14px;
      color: var(--color-red-1);
    }

    fieldset {
      width: 600px;
      padding: 0 30px 30px;
      border: 1px solid var(--color-orange-1);
      border-radius: 8px;
    }

    legend {
      padding: 0 10px;
      font-size: 16px;
    }

    dt {
      margin-top: 20px;
      font-weight: bold;
    }
    code {
      display: block;
      padding: 8px 10px;
      margin-top: 8px;
      border-left: 3px solid var(--color-plain-3);
      background: rgba(255, 255, 255, 0.8);
      font-family: 'Courier New', Courier, monospace;
    }
  `

  check() {
    //
  }

  render() {
    return html`
      <div class="permission-error">
        <pre class="noselect">${tips_header}</pre>
        <fieldset>
          <legend>操作指引</legend>
          <dl>
            <dt>MacOS用户</dt>
            <dd>打开终端, 执行以下命令</dd>
            <dd><code>sudo chown $USER:admin /etc/hosts</code></dd>

            <dt>Linux用户</dt>
            <dd>打开终端, 执行以下命令</dd>
            <dd><code>sudo chown $USER: /etc/hosts</code></dd>

            <dt>完成之后</dt>
            <dd>点击下面的按钮重新检测.</dd>
            <dd>
              <wc-button type="danger" @click=${this.check}>权限检测</wc-button>
            </dd>
          </dl>
        </fieldset>
      </div>
    `
  }
}

Permission.reg('permission')
